#ifndef __ANIDOC_H__
#define __ANIDOC_H__

#include <FL/gl.h>
#include <GL/glu.h>

#include "dl.h"

#include "scene.h"

class CAniUI;

class CAniDoc {
public:
	CAniDoc();

	virtual ~CAniDoc();

	bool loadObject(char *objname);
	
	Scene* getScene() { return m_pScene; };

	void setUI(CAniUI* ui) { m_pUI=ui; };
	CAniUI* getUI() { return m_pUI; };

private:
	CAniUI *m_pUI;

	Scene *m_pScene;
};

#endif